Loading...
Searching...
No Matches
Alembic::Util::ALEMBIC_VERSION_NS::bool_t Class Reference

`#include <PlainOldDataType.h>`

## Public Member Functions

| bool_t (bool tf)
| bool_t (byte_t b)
bool_t & | operator= (bool tf)
bool_t & | operator= (byte_t b)
bool_t | operator! (void)
bool | asBool () const
| operator bool () const

## Detailed Description

BOOLEAN BASE TYPE - since C++ doesn't explicitly demand that bool be a given bit depth, but we need it to be here, we make our own bool type, which is a bit silly. This is purely for storage reasons.

## Member Function Documentation

## operator=()

bool_t & Alembic::Util::ALEMBIC_VERSION_NS::bool_t::operator= | ( | bool | tf | ) |

inline

Using default copy constructor ...

Using default assignment operator ...

The documentation for this class was generated from the following file:

- Util/PlainOldDataType.h